[Libosinfo] [PATCH 39/39] tests: switch to use XML from builddir only

Daniel P. Berrange berrange at redhat.com
Mon Sep 28 15:51:57 UTC 2015


---
 test/test-isodetect.c  | 6 +-----
 test/test-xml-validate | 2 +-
 2 files changed, 2 insertions(+), 6 deletions(-)

diff --git a/test/test-isodetect.c b/test/test-isodetect.c
index e223d1a..c378246 100644
--- a/test/test-isodetect.c
+++ b/test/test-isodetect.c
@@ -319,12 +319,8 @@ static void test_one(const gchar *vendor)
     fail_unless(OSINFO_IS_LOADER(loader), "Loader is not a LOADER");
     fail_unless(OSINFO_IS_DB(db), "Db is not a DB");
 
-    osinfo_loader_process_path(loader, SRCDIR "/data", &error);
+    osinfo_loader_process_path(loader, BUILDDIR "/data", &error);
     fail_unless(error == NULL, error ? error->message : "none");
-    if (!g_str_equal(SRCDIR, BUILDDIR)) {
-        osinfo_loader_process_path(loader, BUILDDIR "/data", &error);
-        fail_unless(error == NULL, error ? error->message : "none");
-    }
 
     isos = load_isos(vendor, &error);
 
diff --git a/test/test-xml-validate b/test/test-xml-validate
index e3cb1a0..4b646bc 100755
--- a/test/test-xml-validate
+++ b/test/test-xml-validate
@@ -11,7 +11,7 @@ n=0
 f=0
 for dir in $DIRS
 do
-  XML=`find $abs_srcdir/../data/$dir -name '*.xml'` || exit 1
+  XML=`find $abs_builddir/../data/$dir -name '*.xml'` || exit 1
 
   for xml in `echo "$XML" | sort`
   do
-- 
2.4.3




More information about the Libosinfo mailing list